# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTipDialog Class Reference

A Tip-of-the-Day dialog. More...

`#include <ktip.h>`

Inheritance diagram for KTipDialog:

[legend]
Collaboration diagram for KTipDialog:

[legend]
List of all members.

## Public Member Functions

| KTipDialog (KTipDatabase *db, QWidget *parent=0, const char *name=0)

## Static Public Member Functions

static void | showTip (QWidget *parent, const QString &tipFile=QString::null, bool force=false)
static void | showMultiTip (QWidget *parent, const QStringList &tipFiles, bool force=false)
static void | showTip (const QString &tipFile=QString::null, bool force=false)
static void | setShowOnStart (bool show)

## Protected Member Functions

bool | eventFilter (QObject *, QEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A Tip-of-the-Day dialog.

This dialog class presents a tip-of-the-day.

Author:
  Matthias Hoelzer-Kluepfel <mhk@caldera.de>

Definition at line 108 of file ktip.h.

## Constructor & Destructor Documentation

KTipDialog::KTipDialog | ( | KTipDatabase * | db,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

Construct a tip dialog.

Parameters:

  | db | TipDatabase that should be used by the TipDialog.
  | parent | Parent widget of TipDialog.
  | name | The object name.

Definition at line 168 of file ktip.cpp.

References QDialog::accept(), KGlobalSettings::activeTitleColor(), KGlobalSettings::alternateBackgroundColor(), KIconEffect::colorize(), KGlobal::dirs(), QSize::height(), QRect::height(), QStyleSheet::item(), locate(), KDialog::marginHint(), QImage::pixel(), KStandardDirs::resourceDirs(), QLabel::setAlignment(), KDialog::setCaption(), QCheckBox::setChecked(), QPalette::setColor(), QPushButton::setDefault(), QLabel::setFont(), QStyleSheetItem::setFontWeight(), QColor::setHsv(), QLabel::setPixmap(), QHBox::setSpacing(), KPushButton::setText(), QLabel::setText(), KDialog::spacingHint(), KGlobalSettings::splashScreenDesktopGeometry(), KGlobalSettings::textColor(), QSize::width(), QRect::width(), QRect::x(), and QRect::y().

Referenced by showMultiTip().

## Member Function Documentation

void KTipDialog::showTip | ( | QWidget * | parent,
|  | const QString & | tipFile = `QString::null`,
|  | bool | force = `false`
| ) | `[static]`

Shows a tip.

This static method is all that is needed to add a tip-of-the-day dialog to an application. It will pop up the dialog, unless the user has asked that the dialog does not pop up on startup.

Note that you probably want an item in the help menu calling this method with force=true.

Parameters:

  | parent | Parent widget of TipDialog.
  | tipFile | The name of the tip file. It has be relative to the "data" resource of KStandardDirs
  | force | If true, the dialog is show, even when the users disabled it.

Definition at line 324 of file ktip.cpp.

References showMultiTip().

Referenced by showTip().

void KTipDialog::showMultiTip | ( | QWidget * | parent,
|  | const QStringList & | tipFiles,
|  | bool | force = `false`
| ) | `[static]`

Shows a tip.

This method behaves essentially as the one above, but expects a list of tips

Parameters:

  | parent | Parent widget of TipDialog.
  | tipFiles | A List of tip files. Each has be relative to the "data" resource of KStandardDirs
  | force | If true, the dialog is show, even when the users disabled it.

Definition at line 329 of file ktip.cpp.

References KTipDialog(), mTipOnStart, QDateTime::secsTo(), QCheckBox::setChecked(), and QDialog::show().

Referenced by showTip().

void KTipDialog::showTip | ( | const QString & | tipFile = `QString::null`,
|  | bool | force = `false`
| ) | `[static]`

| Shows a tip. This methods calls showTip() with the applications main window as parent. Definition at line 319 of file ktip.cpp. References showTip().

void KTipDialog::setShowOnStart | ( | bool | show | ) | `[static]`

| Toggles the start behavior. Normally, the user can disable the display of the tip in the dialog. This is just a way to change this setting from outside. Definition at line 390 of file ktip.cpp.

The documentation for this class was generated from the following files:

- ktip.h
- ktip.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003